EjemploMVCMañana/Models/Persona.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace EjemploMVCMañana.Models
{
    public class Persona
    {
        public int id { get; set; }
        [Required(ErrorMessage = "El nombre es requerido")]
        public string nombre { get; set; }
        [Required(ErrorMessage = "El apellido es requerido")]
        public string apellido { get; set; }
        [Required(ErrorMessage = "La edad es requerido")]
        public int edad { get; set; }
        [Required(ErrorMessage = "El telefono es requerido")]
        public string telefono { get; set; }
        [Required(ErrorMessage = "El sexo es requerido")]
        public int idSexo { get; set; }

    }
}

EjemploMVCMañana/Models/Sexo.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace EjemploMVCMañana.Models
{
    public class Sexo
    {
        public int id { get; set; }
        public string nombre { get; set; } 
    }
}

EjemploMVCMañana/Models/Usuario.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace EjemploMVCMañana.Models
{
    public class Usuario
    {
        [Required(ErrorMessage = "El nombre es requerido")]
        public string nombreUsuario { get; set; }
        [Required(ErrorMessage = "La contraseña es requerida")]
        public string password { get; set; }
    }
}

EjemploMVCMañana/ViewModels/PersonaVM.cs
using EjemploMVCMañana.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace EjemploMVCMañana.ViewModels
{
    public class PersonaVM
    {
        public Persona personaModel { get; set; }
        public List<Sexo> sexoPersona { get; set; }
    }
}

EjemploMVCMañana/ViewModels/ReportesVM.cs
using EjemploMVCMañana.DataTransferObjects;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace EjemploMVCMañana.ViewModels
{
    public class ReportesVM
    {
        public List<CantidadPorSexoDTO> cantidadPorSexo { get; set; }
        public PersonaDTO ultimoSexoFemenino { get; set; }
    }
}

EjemploMVCMañana/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace EjemploMVCMañana.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Tu página de descripción de aplicación.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Tu página de contacto.";

            return View();
        }
        public ActionResult Principal()
        {
            ViewBag.Message = "Tu página de Programación 3";
            return View();
        }
    }
}

EjemploMVCMañana/Controllers/PersonaController.cs
using EjemploMVCMañana.AccesoDatos;
using EjemploMVCMañana.DataTransferObjects;
using EjemploMVCMañana.Models;
using EjemploMVCMañana.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace EjemploMVCMañana.Controllers
{
    public class PersonaController : Controller
    {
        // GET: Persona
        public ActionResult AltaPersona()
        {
            PersonaVM vm = new PersonaVM();
            vm.sexoPersona = AD_Personas.ObtenerListaSexos();

            return View(vm);
        }
        // para hacer el post de la nueva persona y ver la lista
        [HttpPost]
        public ActionResult AltaPersona(PersonaVM model)
        {
            if (ModelState.IsValid)
            {
                bool resultado = AD_Personas.InsertarNuevaPersona(model.personaModel);
                if (resultado)
                {
                    return RedirectToAction("ListadoPersonas", "Persona");
                } else {
                    return View(model);
                }
            } else 
            {
                model.sexoPersona = AD_Personas.ObtenerListaSexos();
                return View(model);
            }
        }
        // get de la lista
        public ActionResult ListadoPersonas()
        {
            List<PersonaDTO> lista = AD_Personas.ObtenerListaPersonas();
            return View(lista);
        }
        // get de una sola persona para hacer el update
        public ActionResult DatosPersona(int idPersona)
        {
            List<Sexo> listaSexos = AD_Personas.ObtenerListaSexos();
            List<SelectListItem> itemsCombo = listaSexos.ConvertAll(d => //el combo solo se carga con la lista de tipo SelectListItem
            {
                return new SelectListItem()
                {
                    Text = d.nombre,
                    Value = d.id.ToString(),
                    Selected = false
                };
            });

            Persona resultado = AD_Personas.ObtenerPersona(idPersona);

            foreach (var item in itemsCombo)
            {
                if (item.Value.Equals(resultado.idSexo.ToString()))
                {
                    item.Selected = true;
                    break;
                }
            }
            ViewBag.items = itemsCombo; //para pasar datos desde el controlador a la vista

            ViewBag.Nombre = resultado.nombre + " " + resultado.apellido;
            return View(resultado);
        }
        // para hacer el update
        [HttpPost]
        public ActionResult DatosPersona(Persona model)
        {
            if (ModelState.IsValid)
            {
                bool resultado = AD_Personas.ActualizarDatosPersona(model);
                if (resultado)
                {
                    return RedirectToAction("ListadoPersonas", "Persona");
                }
                else
                {
                    return View(model);
                }
            }
            else
            {
                List<Sexo> listaSexos = AD_Personas.ObtenerListaSexos();
                List<SelectListItem> itemsCombo = listaSexos.ConvertAll(d => //el combo solo se carga con la lista de tipo SelectListItem
                {
                    return new SelectListItem()
                    {
                        Text = d.nombre,
                        Value = d.id.ToString(),
                        Selected = false
                    };
                });

                ViewBag.items = itemsCombo; //para pasar datos desde el controlador a la vista
                return View(model);
            }
        }
        //get para eliminar
        public ActionResult EliminarPersona(int idPersona)
        {
            Persona resultado = AD_Personas.ObtenerPersona(idPersona);
            return View(resultado);
        }
        // para hacer el delete
        [HttpPost]
        public ActionResult EliminarPersona(Persona model)
        {
            if (ModelState.IsValid)
            {
                bool resultado = AD_Personas.EliminarPersona(model);
                if (resultado)
                {
                    return RedirectToAction("ListadoPersonas", "Persona");
                }
                else
                {
                    return View(model);
                }
            }
            else
            {
                return View(model);
            }
        }

        public ActionResult Reportes()
        {
            List<CantidadPorSexoDTO> lista = AD_Personas.ObtenerListaCantidadPorSexo();
            PersonaDTO ultimoSexoFemenino = AD_Personas.ObtenerUltimoSexoFemenino();

            ReportesVM vm = new ReportesVM();
            vm.cantidadPorSexo = lista;
            vm.ultimoSexoFemenino = ultimoSexoFemenino;

            return View(vm);
        }
    }
}

EjemploMVCMañana/Controllers/UsuarioController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using EjemploMVCMañana.Models;

namespace EjemploMVCMañana.Controllers
{
    public class UsuarioController : Controller
    {
        // GET: Usuario
        public ActionResult Index()
        {
            return View();
        }
        
        public ActionResult Login()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Login(Usuario modelo)
        {
            if (ModelState.IsValid)
            {
                return RedirectToAction("Principal", "Home"); //para redireccionar a la vista Principal del controller Home

            } else
            {
                return View(modelo); //si hay errores le devuelvo la misma vista el modelo
            }
        }
    }
}

EjemploMVCMañana/Views/Home/About.cshtml
@{
    ViewBag.Title = "Acerca de";
}
<h2>@ViewBag.Title</h2>
<h3>@ViewBag.Message</h3>

<p>Use this area to provide additional information.</p>

EjemploMVCMañana/Views/Home/Contact.cshtml
@{
    ViewBag.Title = "Contacto";
}
<h2>@ViewBag.Title</h2>
<h3>@ViewBag.Message</h3>

<address>
    One Microsoft Way<br />
    Redmond, WA 98052-6399<br />
    <abbr title="Phone">P:</abbr>
    425.555.0100
</address>

<address>
    <strong>Support:</strong>   <a href="mailto:Support@example.com">Support@example.com</a><br />
    <strong>Marketing:</strong> <a href="mailto:Marketing@example.com">Marketing@example.com</a>
</address>

EjemploMVCMañana/Views/Home/Index.cshtml
@{
    ViewBag.Title = "Inicio";
}

<div class="jumbotron">
    <h1>ASP.NET</h1>
    <p class="lead">ASP.NET is a free web framework for building great Web sites and Web applications using HTML, CSS and JavaScript.</p>
    <p><a href="https://asp.net" class="btn btn-primary btn-lg">Learn more &raquo;</a></p>
</div>

<div class="row">
    <div class="col-md-4">
        <h2>Getting started</h2>
        <p>
            ASP.NET MVC gives you a powerful, patterns-based way to build dynamic websites that
            enables a clean separation of concerns and gives you full control over markup
            for enjoyable, agile development.
        </p>
        <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301865">Learn more &raquo;</a></p>
    </div>
    <div class="col-md-4">
        <h2>Get more libraries</h2>
        <p>NuGet is a free Visual Studio extension that makes it easy to add, remove, and update libraries and tools in Visual Studio projects.</p>
        <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301866">Learn more &raquo;</a></p>
    </div>
    <div class="col-md-4">
        <h2>Web Hosting</h2>
        <p>You can easily find a web hosting company that offers the right mix of features and price for your applications.</p>
        <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301867">Learn more &raquo;</a></p>
    </div>
</div>

EjemploMVCMañana/Views/Home/Principal.cshtml
@{
    ViewBag.Title = "Principal";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Bienvenidos al sistema</h2>
<h4>@ViewBag.Message</h4>

EjemploMVCMañana/Views/Persona/AltaPersona.cshtml
@model EjemploMVCMañana.ViewModels.PersonaVM

@{
    ViewBag.Title = "Alta de nueva persona";
    //List<SelectListItem> items = (List<SelectListItem>)ViewBag.items;
}

<div class="row">
    <div class="col-sm-12">
        <div>
            <h4>Alta de nueva persona</h4>
        </div>
    </div>
</div>
@using (Html.BeginForm())
{
    <div class="row">
        <div class="col-lg-6">
            <div class="form-horizontal">
                <div class="form-group">
                    <label class="col-sm-6 control-label">Nombre</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.personaModel.nombre, htmlAttributes: new { @class = "form-control", @id = "txtNombre" })
                        @Html.ValidationMessageFor(model => model.personaModel.nombre, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Apellido</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.personaModel.apellido, htmlAttributes: new { @class = "form-control", @id = "txtApellido" })
                        @Html.ValidationMessageFor(model => model.personaModel.apellido, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Sexo</label>
                    <div class="col-sm-6">
                        @*@Html.DropDownList("idSexo", items, "Seleccione sexo", htmlAttributes: new { @class = "form-control" })*@
                        @Html.DropDownListFor(model => model.personaModel.idSexo, new SelectList(Model.sexoPersona, "id", "nombre"), "Seleccione el sexo", htmlAttributes: new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.personaModel.idSexo, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Edad</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.personaModel.edad, htmlAttributes: new { @class = "form-control", @id = "txtEdad" })
                        @Html.ValidationMessageFor(model => model.personaModel.edad, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Teléfono</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.personaModel.telefono, htmlAttributes: new { @class = "form-control", @id = "txtTelefono" })
                        @Html.ValidationMessageFor(model => model.personaModel.telefono, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group text-right">
                    <div class="col-xs-12">
                        <button class="btn btn-primary" type="submit">Guardar persona</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
}

EjemploMVCMañana/Views/Persona/DatosPersona.cshtml
@model EjemploMVCMañana.Models.Persona

@{
    ViewBag.Title = "Datos de persona";
    List<SelectListItem> items = (List<SelectListItem>)ViewBag.items;
}

<div class="row">
    <div class="col-sm-12">
        <div>
            <h4>Datos de la persona @ViewBag.Nombre</h4>
        </div>
    </div>
</div>
@using (Html.BeginForm())
{
    @Html.HiddenFor(model => model.id) //para conservar el id
    <div class="row">
        <div class="col-lg-6">
            <div class="form-horizontal">
                <div class="form-group">
                    <label class="col-sm-6 control-label">Nombre</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.nombre, htmlAttributes: new { @class = "form-control", @id = "txtNombre" })
                        @Html.ValidationMessageFor(model => model.nombre, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Apellido</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.apellido, htmlAttributes: new { @class = "form-control", @id = "txtApellido" })
                        @Html.ValidationMessageFor(model => model.apellido, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Sexo</label>
                    <div class="col-sm-6">
                        @Html.DropDownList("idSexo", items, "Seleccione sexo", htmlAttributes: new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.idSexo, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Edad</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.edad, htmlAttributes: new { @class = "form-control", @id = "txtEdad" })
                        @Html.ValidationMessageFor(model => model.edad, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Teléfono</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.telefono, htmlAttributes: new { @class = "form-control", @id = "txtTelefono" })
                        @Html.ValidationMessageFor(model => model.telefono, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group text-right">
                    <div class="col-xs-12">
                        <button class="btn btn-primary" type="submit">Actualizar Datos</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
}

EjemploMVCMañana/Views/Persona/EliminarPersona.cshtml
@model EjemploMVCMañana.Models.Persona

@{
    ViewBag.Title = "Eliminar persona";
}

<div class="row">
    <div class="col-sm-12">
        <div>
            <h4>Eliminar la siguiente persona @Model.nombre @Model.apellido</h4>
        </div>
    </div>
</div>
@using (Html.BeginForm())
{
    @Html.HiddenFor(model => model.id) //para conservar el id
    <div class="row">
        <div class="col-lg-6">
            <div class="form-horizontal">
                <div class="form-group">
                    <label class="col-sm-6 control-label">Nombre</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.nombre, htmlAttributes: new { @class = "form-control", @id = "txtNombre" })
                        @Html.ValidationMessageFor(model => model.nombre, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Apellido</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.apellido, htmlAttributes: new { @class = "form-control", @id = "txtApellido" })
                        @Html.ValidationMessageFor(model => model.apellido, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Edad</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.edad, htmlAttributes: new { @class = "form-control", @id = "txtEdad" })
                        @Html.ValidationMessageFor(model => model.edad, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Teléfono</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.telefono, htmlAttributes: new { @class = "form-control", @id = "txtTelefono" })
                        @Html.ValidationMessageFor(model => model.telefono, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group text-right">
                    <div class="col-xs-12">
                        <button class="btn btn-danger" type="submit">Eliminar Persona</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
}

EjemploMVCMañana/Views/Persona/ListadoPersonas.cshtml
@model IEnumerable<EjemploMVCMañana.DataTransferObjects.PersonaDTO> 
    @*agregar el IEnumerable para mostrar la lista de Personas!!!*@

@{
    ViewBag.Title = "Listado de Personas";
}

<div class="row">
    <div class="col-sm-12">
        <div>
            <h4>Listado de Personas cargadas en la Base de Datos</h4>
        </div>
    </div>
</div>
    <div class="row">
        <div class="col-lg-8">
            <table class="table table-bordered table-striped">
                <thead>
                    <tr>
                         <th class="text-center">
                            Nombre
                        </th>
                         <th class="text-center">
                            Apellido
                        </th>
                         <th class="text-center">
                            Edad
                        </th>
                         <th class="text-center">
                            Teléfono
                        </th> 
                        <th class="text-center">
                            Sexo
                        </th>
                         <th class="text-center">
                            Acciones
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var persona in Model)// se cargan las filas con un for
                    {
                        <tr class="text-center">
                            <td>
                                @persona.nombre
                            </td>
                            <td>
                                @persona.apellido
                            </td>
                            <td>
                                @persona.edad
                            </td>
                            <td>
                                @persona.telefono
                            </td>
                            <td>
                                @persona.sexo
                            </td>
                            <td>
                                <a href="@Url.Action("DatosPersona", "Persona", new { @idPersona = persona.id })" class="btn btn-warning"> Mostrar</a>
                                <a href="@Url.Action("EliminarPersona", "Persona", new { @idPersona = persona.id })" class="btn btn-danger"> Eliminar</a>
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>

EjemploMVCMañana/Views/Persona/Reportes.cshtml
@model EjemploMVCMañana.ViewModels.ReportesVM
    @{
        ViewBag.Title = "Reportes";
        Layout = "~/Views/Shared/_Layout.cshtml";
    }

    <div class="row">
        <div class="col-sm-12">
            <div>
                <h4>Reportes</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-8">
            <h3>Cantidad de personas por Sexo</h3>
            <hr />
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th class="text-center">
                            Nombre
                        </th>
                        <th class="text-center">
                            Cantidad
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model.cantidadPorSexo)// se cargan las filas con un for
                    {
                        <tr class="text-center">
                            <td>
                                @item.nombre
                            </td>
                            <td>
                                @item.cantidad
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-8">
            <h3>Ultima Persona de sexo Femenino</h3>
            <table class="table table-bordered table-striped">
                <thead>
                    <tr>
                        <th class="text-center">
                            Nombre
                        </th>
                        <th class="text-center">
                            Apellido
                        </th>
                        <th class="text-center">
                            Edad
                        </th>
                        <th class="text-center">
                            Teléfono
                        </th>
                        <th class="text-center">
                            Sexo
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="text-center">
                        <td>
                            @Model.ultimoSexoFemenino.nombre
                        </td>
                        <td>
                            @Model.ultimoSexoFemenino.apellido
                        </td>
                        <td>
                            @Model.ultimoSexoFemenino.edad
                        </td>
                        <td>
                            @Model.ultimoSexoFemenino.telefono
                        </td>
                        <td>
                            @Model.ultimoSexoFemenino.sexo
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

EjemploMVCMañana/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - Maka</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("Nombre de la aplicación", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li>@Html.ActionLink("Inicio", "Index", "Home")</li>
                    <li>@Html.ActionLink("Ingresar", "Login", "Usuario")</li>
                    <li>@Html.ActionLink("Alta Persona", "AltaPersona", "Persona")</li>
                    <li>@Html.ActionLink("Listado de Personas", "ListadoPersonas", "Persona")</li>
                    <li>@Html.ActionLink("Resportes", "Reportes", "Persona")</li>
                </ul>
            </div>
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - Macarena Pecha</p>
        </footer>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>

EjemploMVCMañana/Views/Usuario/Login.cshtml
@model EjemploMVCMañana.Models.Usuario

@{
    ViewBag.Title = "Login";
}

<h2>Bienvenidos</h2>

<div class="row">
    <div class="col-sm-12">
        <div>
            <h4>Ingrese al sistema</h4>
        </div>
    </div>
</div>
@using (Html.BeginForm())
{
    <div class="row">
        <div class="col-lg-6">
            <div class="form-horizontal">
                <div class="form-group">
                    <label class="col-sm-6 control-label">Nombre de usuario</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.nombreUsuario, htmlAttributes: new { @class = "form-control", @id = "txtNombreUsuario" })
                        @Html.ValidationMessageFor(model => model.nombreUsuario, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Contraseña</label>
                    <div class="col-sm-6">
                        @Html.PasswordFor(model => model.password, htmlAttributes: new { @class = "form-control", @id = "txtPassword" })
                        @Html.ValidationMessageFor(model => model.password, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group text-right">
                    <div class="col-xs-12">
                        <button class="btn btn-primary" type="submit">Ingresar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
}